import { RequestMethodEntity } from '../../../domain/entities';

export const DEFAULT_METHOD: RequestMethodEntity = {
  getManyMethod: 'GET',
  getOneMethod: 'GET',
  createMethod: 'POST',
  editMethod: 'PUT',

  deleteMethod: 'DELETE',
  // batchDeleteMethod: 'DELETE',
  batchDeleteMethod: 'PUT',

  activateMethod: 'PATCH',
  // activateMethod: 'PUT',
  batchActivateMethod: 'PUT',

  deactivateMethod: 'PATCH',
  // deactivateMethod: 'PUT',
  batchDeactivateMethod: 'PUT',

  confirmProcessDataMethod: 'PATCH',
  // confirmProcessDataMethod: 'PUT',
  batchConfirmProcessDataMethod: 'PUT',

  cancelProcessDataMethod: 'PATCH',
  // cancelProcessDataMethod: 'PUT',
  batchCancelProcessDataMethod: 'PUT',

  confirmProcessTransactionMethod: 'PATCH',
  // confirmProcessTransactionMethod: 'PUT',
  batchConfirmProcessTransactionMethod: 'PUT',

  cancelProcessTransactionMethod: 'PATCH',
  // cancelProcessTransactionMethod: 'PUT',
  batchCancelProcessTransactionMethod: 'PUT',

  rollbackProcessTransactionMethod: 'PATCH',
  // rollbackProcessTransactionMethod: 'PUT',
  batchRollbackProcessTransactionMethod: 'PUT',

  holdProcessTransactionMethod: 'PUT',
  batchHoldProcessTransactionMethod: 'PUT',
};
